Bug 989592 - [Doc] [RFE] Return Customer's Quota Usage through Admin API
[Doc] [RFE] Return Customer's Quota Usage through Admin API
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Administration_User_Guide (Show other bugs)
4.0
Unspecified Unspecified
low Severity unspecified
: ---
: 4.0
Assigned To: Summer Long
ecs-bugs
https://blueprints.launchpad.net/nova...
: Documentation, FutureFeature
Depends On:
Blocks: 978532 1011085
  Show dependency treegraph
 
Reported: 2013-07-29 11:33 EDT by Stephen Gordon
Modified: 2014-01-05 22:37 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-05 22:37:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2013-07-29 11:33:41 EDT
Cloned for documentation impact, refer to Bug # 978532 for implementation details.
Comment 2 Summer Long 2013-08-13 00:16:09 EDT
Steve, not sure where this would fit. The Admin User Guide has procedures for the dashboard and command line. Both user guides just talk about the fact that you can use the APIs, not their details. These are in: http://docs.openstack.org/api/api-specs.html 

Or is there a missing piece?
Comment 3 Stephen Gordon 2013-08-13 08:31:57 EDT
(In reply to Summer Long from comment #2)
> Steve, not sure where this would fit. The Admin User Guide has procedures
> for the dashboard and command line. Both user guides just talk about the
> fact that you can use the APIs, not their details. These are in:
> http://docs.openstack.org/api/api-specs.html 
> 
> Or is there a missing piece?

Typically when a feature is implemented in the API it is also exposed in the CLI (at least). In particular from the blueprint:

"Through admin API, we should be able to do "nova absolute-limits --tenant xxxxx" which should return the quota and the used limits for the given tenant."
Comment 4 Summer Long 2013-09-25 22:44:53 EDT
Upstream: https://bugs.launchpad.net/openstack-manuals/+bug/1192017
Comment 5 Summer Long 2013-09-26 01:59:09 EDT
Work done upstream: https://review.openstack.org/#/c/48391/
Waiting for review.
Comment 6 Summer Long 2013-09-26 18:47:40 EDT
Work approved upstream. Ready for QA, when upstream is branched to RH.

Note You need to log in before you can comment on or make changes to this bug.